* {
    margin: 0;
    padding: 0;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;

}

html{
    height: 100%;
}

body{
    display: flex;
    justify-content: center;
    align-items: center;
    overflow-y: hidden;
    overflow-x: hidden;
    height: 100%;
    width: 100vw;
    background-image: url("../../Backgrounds/Christmas-Marketing-Ideas-to-Boost-Your-WooCommerce-Store-Sales.png"); background-size: 100% 100%; background-repeat: no-repeat;
}

#home{
    position: fixed;
    top: .5%;
    height: 8%;
    width: 7%;
    background-color: white;
    border-radius: 10px;
    cursor: pointer;
    z-index: 5;
}

#home div{
 display: flex;
 justify-content: center;
 align-items: center;
 height: 100%;
 width: 100%;
 gap: 6%;
}

#home a{
    text-decoration: none;
}

#home p{
    transition: .6s;
    font-size: 1.5rem;
    color: blue; letter-spacing: 1px; font-weight: bold;
}

#home img{
    width: 75%;
    height: 90%;
    border-radius: 100%;
}

#liveNavBar{
    display: initial;
    position: fixed; 
    top: 0;
    right: 1%; 
    outline: 1px solid white; 
    width: 32%;
    height: 7%;
    display: flex; justify-content: center; align-items: center; gap: 5%;
    color: white;  
    z-index: 3; 
    backdrop-filter: blur(5px);
}

#liveNavBar .lNB{
    height: 100%; width: 31%; cursor: pointer; display: flex; justify-content: center; align-items: center; padding: 0 .5em;
}
.lNB img{
    height: 100%; width: 50%;
}
#liveNavBar .lNB p{
    font-size: 1.2rem; font-weight: 500;
}
#liveNavBar .lNB:hover{
 background-color: white; color: black; transition: .3s;
}

#HelpDeskPopUp{
    background-color: white; color: black; position: fixed; top: -5%; right: 2%; padding: .3em; transition: .4s; z-index: 7;
}
#HelpDeskPopUp span{
  color: blue;  font-weight: bold; letter-spacing: 1px;
}

#new-head{
    position: absolute;
    top: 0;
    left: 0;
    color: lawngreen;
    font-size: 3rem;
    font-family:fantasy;
    padding: 0 .2em; letter-spacing: 3px;
    border: 5px dashed lawngreen;
}

#bottom-new-head{
    position: absolute;
    right: 1%;
    bottom: 1%;
    color: lawngreen;
    font-weight: bold; font-size: 3rem;
    font-family:fantasy;
    padding: 0 .3em; letter-spacing: 3px;
    border: 5px dashed lawngreen;
}


#cover {
    position: absolute;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.5);
    backdrop-filter: blur(2px);
    height: 100vh;
    width: 100%;
    display: none;
    z-index: 4;
}

.container {
    position: relative; top: 5%; backdrop-filter: blur(3px); background-color: rgba(0, 0, 0, 0.3);
    height: 90%;
    width: 100%;
    display: flex; flex-wrap: wrap; justify-content: center; column-gap: 2%; row-gap: 5%;
    overflow-x: auto;
}


.container .hiddenGem{
    height: 60%; flex: 0 0 23%; transition: .4s; position: relative; overflow: hidden; background-color: rgba(0, 0, 0, 0.5); position: relative;
}

.hiddenGem::before{
    content: "Shop Now";
    color: white;
    font-size: .91rem;
    letter-spacing: 1px;
    position: absolute;
    right: 1%;
    top: 1%;
    text-align: center;
    border-radius: 10px;
    color: white;
    backdrop-filter: blur(2px); background-color: rgba(17, 0, 255, 0.7);
    padding: .3em;
    z-index: 2;
}

.hiddenGem:hover::before{
    content: "Click for More";
}

.hiddenGem:hover{
    transform: scale(1.02);
}

.hiddenGem a{
    height: 100%; width: 100%; text-decoration: none; position: relative;
}
.hiddenGem a div{
    height: 70%; width: 100%;
}
.hiddenGem a div img{
    height: 100%; width: 100%;
}

.hiddenGem:hover .thumbnail{
    bottom: -50%; color: white;
}
.hiddenGem a .percentageOff{
 position: absolute; left: 0; bottom: 33%; height: 10%; background-color: rgba(255, 0, 0, 0.8); color: white; width: fit-content; font-size: 1.2rem; backdrop-filter: blur(1px); font-weight: bold; display: grid; place-items: center; padding: 0 .1em; border-radius: 0 5px 0 0;
}

.hiddenGem a .priceSection{
    height: 10%; width: 70%; color: white; display: flex; justify-content: center; align-items: center; gap: 7%; background-color: black; position: relative;
}
.priceSection strike{
    position: absolute; left: 2%;
}
.priceSection span{
    background-color: yellow; height: 100%; color: black; text-align: center; font-weight: bold; display: grid; place-items: center; padding: 0 .3em; position: absolute; right: 0;
}
.Gem_tag_Specs .priceSection2{
    display: none;
}
.hiddenGem a .Gem_tag{
    background-color: black; color: white; text-align: center; height: 20%; width: 100%; padding: .5em 0;
}
.Gem_tag_Specs b{
    color: white;
}
.Gem_tag_Specs em{
    font-size: .8rem;
}
.Gem_tag p{
    display: none;
}
.Gem_tag .productSpecs{
    display: none;
}


@keyframes slideshow {
    0% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(-100%);
    }
}

nav:hover {
    cursor: pointer;
    transition: 1s;

}



#mobileNav{
    display: none;
}

#mobileMenu{
    display: none;
}

#mobileLED{
    display: none;
}

.mobile-header{
    display: none;
}

#preloader {
    height: 100vh;
    width: 100vw;
    background: linear-gradient(to right, rgba(255, 255, 255, 1), rgba(255, 255, 255, 1), rgba(255, 255, 255, 0.9), rgba(12, 42, 238, 0.8), rgba(38, 12, 238, 0.7));
    z-index: 100;
    position: absolute;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    color: blue;
    opacity: 1;
}

#first {
    font-size: 2em;
    font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
    color: black;
}

.greeting_text {
    height: 20rem;
    width: 40rem;
    margin: 1rem;
}

.greeting_text img {
    height: 100%;
    width: 100%;
    border-radius: 30px;
}

::-webkit-scrollbar {
    background-color: rgba(0, 0, 0, .1);
    display: initial;
}


::-webkit-scrollbar-thumb {
    background-color: whitesmoke;
    border-radius: 30px;
}

#searchBox{
    display: none;
}

.mobileBottombar{
    display: none;
}

#mobileSearchBox{
    display: none;
}

#MobileCartPage{
    display: none;
}

@media(orientation: portrait){
    #home{
        display: none;
    }
    #liveNavBar{
        display: none;
    }
    #new-head{
        display: none;
    }
    
    .mobile-header{
      height: 9%; width: 100%; background-color: rgb(255, 255, 255); /* background-image: url("..Greeting_loader/Indoor-P1.8-LED-Display-Module-21.webp"); background-size: cover; background-repeat: no-repeat;   */ position: fixed; top: 0; z-index: 4; display: flex; justify-content: center; align-items: center; backdrop-filter: blur(3px);
    } 
 
    .mobile-header #mheader-LED{
        width: 95%;
        height: 100%;
        overflow-x: auto;
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 0;
        position: relative; background-color: rgb(12, 12, 12);
    }
     
    #mheader-LED::-webkit-scrollbar{
        display: none;
    }

    #mheader-LED p{
        color: lawngreen; font-size: 5rem;font-family: Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif; text-align: center; letter-spacing: 10px;
    }
 
    #mobile-logo {
        position: relative; height: 100%; width: 30%; background-color: rgb(0, 17, 167);
    }
    #mobile-logo a{
        height: 100%; width: 100%; display: flex; flex-direction: column; justify-content: center; align-items: center; 
    } 
   #mobile-logo a img{
       position: relative; top: 2%; height: 70%; width: 70%; border-radius: 100%; background-color: whitesmoke; border: 8px solid red;
   }

    #mobileSearchBox{
        display: flex; justify-content: center; align-items: center; position: absolute; top: 9%; background-color: rgb(5, 29, 238); font-size: 2.5rem; height: 7%; width: 100%; z-index: 2; border-bottom: 3px solid black;
    }
    #mobileSearchBox div{
        outline: 1px solid black;
    }
    #mobileSearchBox #whatsappButton{
       height: 100%; width: 40%; background-color: white; color: white; display: flex; justify-content: center; align-items: center;
    }
    #whatsappButton p{
        font-size: 3rem; font-family: sans-serif; display: none;
    }
    #whatsappButton img{
        height: 140%; width: 60%;
    }
    #mobileCart{
        display: initial;
        height: 100%;
        width: 30%;
        background-color: white; backdrop-filter: blur(3px);
    }
    #mobileCart img{
        height: 101%; width: 100%;
    }
    #mobileSearchBox #searchButton{
       height: 100%; width: 40%; background-color: white; display: flex; justify-content: center; align-items: center;
    }
    #searchButton img{
        height: 100%; width: 60%;
    }

    #searchBox{
        display: initial; position: fixed; top: -25%; height: 20%; width: 98%; border-bottom: 3px solid white; display: flex; justify-content: center; align-items: center; gap: 5%; background-color: rgba(255, 255, 255, 0.25); backdrop-filter: blur(10px); transition: .4s; z-index: 6; border-radius: 0 0 30px 30px;
    }
    #searchBox input{
        background-color: rgb(255, 255, 255); color: blue; padding: .9em;  width: 60%; font-size: 3rem; border-radius: 10px;
    }
    #searchBox button{
        background-color: red; color: white; padding: .5em; font-size: 3rem; border-radius: 10px;
    }


    #MobileCartPage{
        display: flex; justify-content: center; align-items: center; background-color: rgba(255, 252, 252, 0.9); height: 83%; width: 70%; position: fixed; top: 10%; right: -75%; transition: .4s;  z-index: 6; overflow: auto;
    }

    #MobileCartPage #mobileCartClear{
        background-color: red; position: absolute; left: 1%; bottom: 1%; color: white; padding: .5em; font-size: 2.5rem;
    }

    #MobileCartPage #mobileCheckout{
        background-color: white; color: black; padding: .5em; position: absolute; bottom: 1%; display: none; font-size: 2.5rem;
    }
    #MCPcontainer{
        height: 90%; width: 100%; overflow: auto; position: relative; top: -5%;
    }
    #MCPcontainer::-webkit-scrollbar{
        display: none;
    }
    #MCPcontainer .cart_item{
        height: 40%; width: 85%; backdrop-filter: blur(5px); background-color: rgba(0, 0, 0, 0.4); position: relative; left: 7%; display: flex; flex-direction: column; justify-content: center; align-items: center; margin-top: .8em; backdrop-filter: blur(10px); z-index: 2;
    }
    #MCPcontainer .cart_item img{
        height: 80%; width: 80%; position: relative; top: -7%; left: 0;
    }
    #MCPcontainer .MobileCartUnit{
        position: absolute; top: 0; right: 0; width: fit-content; background-color: red; color: white; padding: .2em .5em; font-size: 2.3rem;
    }
    #MCPcontainer .MobileProductName{
        position: absolute; bottom: 0; background-color: rgba( 0, 0, 0, 0.8); color: white; font-size: 3rem; font-weight: 400; font-family: monospace; width: 100%; text-align: center;
    }

  
    .sidebar{
        display: none;
    }
    .container{
       top: 10%; column-gap: 0; row-gap: 3%; background-color: white; height: 90%; background-image: url('../../Backgrounds/Christmas-Marketing-Ideas-to-Boost-Your-WooCommerce-Store-Sales.png'); background-size: 100% 100%; background-repeat: no-repeat;
    }
    .container::-webkit-scrollbar{
        display: none;
    }
    .container .hiddenGem{
      height: 40%; flex: 0 0 100%; transition: .4s; position: relative; overflow: hidden;
    }
    .hiddenGem a{
        display: flex;
    }
    .hiddenGem::before{
        display: none;
    }
    .hiddenGem a div{
        height: 100%; width: 60%;
    }
    .hiddenGem a .Gem_tag{
      background-color: whitesmoke; height: 100%; width: 40%;
    }
    .hiddenGem a .percentageOff{
        position: absolute; top: 0; height: 10%; background-color: rgba(0, 128, 0, 0.8); color: white; width: fit-content; font-size: 3rem; backdrop-filter: blur(1px); font-weight: bold; display: grid; place-items: center; padding: .3em .3em; border-radius: 0 0 30px 0; border-right: 4px solid red; border-bottom: 4px solid red;
    }

    .hiddenGem a .priceSection{
        display: none;
    }
    .hiddenGem a .Gem_tag em{
        font-size: 2.2rem;
    }
    .Gem_tag .Gem_tag_Specs{
        height: 87%; width: 100%; font-size: 2rem; color: black; overflow: hidden;
    }
    .Gem_tag_Specs .priceSection2{
        display: flex; flex-direction: column; justify-content: center; align-items: center; height: 30%; width: 100%; background-color: black; color: white; font-size: 2.8rem; position: relative; top: 0;
    }
    .priceSection2 strike{
        height: 50%; display: grid; place-items: center;
    }
    .priceSection2 span{
        background-color: yellow; color: black; height: 100%; font-weight: bold; display: grid; place-items: center; height: 50%; width: 100%;
    }

    .Gem_tag_Specs b{
        color: blue; font-size: 2.5rem;
    }
    .Gem_tag .productSpecs{
        display: initial; font-size: 2.3rem;
    }
    .Gem_tag p{
        display: initial; font-size: 2.4rem;
    }

    .hiddenGem:first-child{
        margin-top: 6em;
    }
    .hiddenGem:last-child{
        margin-bottom: 10em;
    }


    
    .mobileBottombar{
        position: fixed;
        bottom: 0;
        height: 11%;
        width: 100%;
        display: flex;
        justify-content: center;
        align-self: center; z-index: 2;
    }
    /* #mobileNav{
        position: absolute;
        top: 2%;
        height: 70%;
        width: 13.6%;
        border-radius: 100%;
        z-index: 3;
        background-color: rgba(255, 255, 255, .7);
        box-shadow: 0 5px 20px black;
    } */
}